/********
* sys.h *
********/

/* $Id$ */

#if defined(HAVE_CONFIG_H)
#include <config.h>
#endif

#if defined(STDC_HEADERS)
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>
#endif
#if defined(HAVE_UNISTD_H)
#include <unistd.h>
#endif
#if defined(HAVE_JSTRING_H)
#include <jstring.h>
#else
#define jstrrchr strrchr
#endif
#if defined(HAVE_JSTRINGS_H)
#include <jstrings.h>
#endif
#if defined(HAVE_FCNTL_H)
#include <fcntl.h>
#endif
#if defined(HAVE_TIME_H)
#include <time.h>
#endif
#if defined(HAVE_SYS_TIME_H)
#include <sys/time.h>
#endif
#if defined(HAVE_UTIME_H)
#include <utime.h>
#elif defined(HAVE_SYS_UTIME_H)
#include <sys/utime.h>
#elif !defined(utimbuf)
struct utimbuf {
    time_t actime;
    time_t modtime;
};
#endif

#include <sys/stat.h>
#include <errno.h>

#if __STDC__
#define __volatile volatile
#else /* !__STDC__ */
#define __volatile
#endif /* !__STDC__ */

#ifndef FILENAME_MAX
#define FILENAME_MAX	1024
#endif

/* gzip magic number */
#ifdef WORDS_BIGENDIAN
#define GZIP_MAGIC	0x1f8b
#else
#define GZIP_MAGIC	0x8b1f
#endif

/* Compression methods (see algorithm.doc) */
#define STORED      0
#define COMPRESSED  1
#define PACKED      2
#define LZHED       3
/* methods 4 to 7 reserved */
#define DEFLATED    8
#define MAX_METHODS 9

/* flags field value */
#define ASCII		0x01
#define MULTIPART	0x02
#define EXTRAFIELD	0x04
#define ORIGNAME	0x08
#define COMMENT		0x10
#define ENCRYPTED	0x20

typedef enum {
	FALSE, TRUE
} BOOL;

char *xmalloc();
char *basename();
char *dirname();
char *progname;
